#### Linux From Scratch - Version r13.0-133

### Chapter 8. Installing Basic System Software

- Prev

  Attr-2.5.2

- Next

  Libcap-2.78

- Up
- Home

# 8.26. Acl-2.3.2

The Acl package contains utilities to administer Access Control Lists, which are used to define fine-grained discretionary access rights for files and directories.

Approximate build time: less than 0.1 SBU
Required disk space: 6.5 MB

## 8.26.1. Installation of Acl

Prepare Acl for compilation:

    ./configure --prefix=/usr    \
                --disable-static \
                --docdir=/usr/share/doc/acl-2.3.2

Compile the package:

    make

The Acl tests must be run on a filesystem that supports access controls. To test the results, issue:

    make check

One test named `test/cp.test` is known to fail because Coreutils is not built with the Acl support yet.

Install the package:

    make install

## 8.26.2. Contents of Acl

Installed programs: chacl, getfacl, and setfacl
Installed library: libacl.so
Installed directories: /usr/include/acl and /usr/share/doc/acl-2.3.2

### Short Descriptions

chacl | Changes the access control list of a file or directory
getfacl | Gets file access control lists
setfacl | Sets file access control lists
`libacl` | Contains the library functions for manipulating Access Control Lists

- Prev

  Attr-2.5.2

- Next

  Libcap-2.78

- Up
- Home